/*
 * mesh_test.cpp
 *
 *  Created on: 2013. 12. 19.
 *      Author: parkmh
 */

#include "../mesh/point.hh"
#include "cell.hh"
#include "mesh.hh"

int main(){
	Pd2 p1, p2, p3, p4, p5;
	p1[0] = 1.0, p1[1] = 1.;
	Node<Pd2> a(p1);
	p2[0] = 2., p2[1] = 2.;
	Node<Pd2> b(p2);
	p3[0] = 2.0, p3[1] = 0.;
	Node<Pd2> c(p3);
	p4[0] = 3.0, p4[1] = 1.;
	Node<Pd2> d(p4);
	p5[0] = 3.0, p5[1] = 3.;
	Node<Pd2> e(p5);

	Triangle t1(a,b,c);
	Triangle t2(t1(1),t1(2),d);
	Triangle t3(t2(0),t2(2),e);
	std::cout << t1 << std::endl;
	std::cout << t2 << std::endl;
	std::cout << t3 << std::endl;
	Mesh<Triangle> m(t1);
	m.append(t2);
	m.append(t3);

	t1.~Triangle();
	t2.~Triangle();
	t3.~Triangle();
	m.indexing();
	std::cout << m << std::endl;


//	std::cout << a << b << c << std::endl;
}
